<?php
/*-------------------------------------------------------+
| Ajax News Panel
| Copyright (C) 2009 bartek124
| http://www.bartek124.net/
+--------------------------------------------------------+
| Filename: ajax_news_panel.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."ajax_news_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ajax_news_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ajax_news_panel/locale/English.php";
}

if (BASEDIR == "" && preg_replace("#(&amp;|\?)(news=)([0-9]+)#s", "", START_PAGE) == $settings['opening_page']) {
	$_GET['news'] = isset($_GET['news']) && isnum($_GET['news']) ? $_GET['news'] : 0;
	$result = dbquery("SELECT n.*, nc.news_cat_id, nc.news_cat_name, nc.news_cat_image, nu.user_name, COUNT(c.comment_id) AS news_comments FROM ".DB_NEWS." n
		LEFT JOIN ".DB_USERS." nu ON n.news_name=nu.user_id
		LEFT JOIN ".DB_NEWS_CATS." nc ON n.news_cat=nc.news_cat_id
		LEFT JOIN ".DB_COMMENTS." c ON c.comment_type='N' AND c.comment_item_id=n.news_id
		WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
		GROUP BY n.news_id
		ORDER BY n.news_sticky DESC, n.news_datestamp DESC LIMIT ".$_GET['news'].",1");
	opentable($locale['global_077']);
	if (dbrows($result)) {
		add_to_head("<script type='text/javascript' src='".INFUSIONS."ajax_news_panel/jquery.ajax_news.js'></script>\n".
		"<script type='text/javascript'>\n".
		"$(function() {\n".
			"\t$('div#ajax-news').jAjaxNews({\n".
				"\t\tprevLink: '.anp-prev-news',\n".
				"\t\tnextLink: '.anp-next-news',\n".
				"\t\tnewsNum: 'input[name=\'news_num\']',\n".
				"\t\tnewsRows: 'input[name=\'news_rows\']',\n".
				"\t\tnewsScript: '".INFUSIONS."ajax_news_panel/ajax_news.php?news=',\n".
				"\t\teditIcon: '".get_image("edit")."',\n".
				"\t\tprintIcon: '".get_image("printer")."'\n".
			"\t});\n".
		"});\n".
		"</script>");
		$rows = dbcount("(news_id)", DB_NEWS, groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'");
		$prev_news = "";
		if ($_GET['news'] > 0) {
			$prev_news = "".($_GET['news'] - 1)."";
		}
		$next_news = "";
		if ($_GET['news']+1 < $rows) {
			$next_news = "".($_GET['news'] + 1)."";
		}
		$data = dbarray($result);
		$news_news = $data['news_breaks'] == "y" ? nl2br(stripslashes($data['news_news'])) : stripslashes($data['news_news']);
		if ($data['news_cat_image']) {
			$news_news = "<a href='".BASEDIR."news_cats.php?cat_id=".$data['news_cat_id']."'><img src='".get_image("nc_".$data['news_cat_name'])."' alt='".$data['news_cat_name']."' class='news-category' /></a>\n".$news_news;
		}
		echo "<input type='hidden' value='".$_GET['news']."' name='news_num' />\n";
		echo "<input type='hidden' value='".$rows."' name='news_rows' />\n";
		echo "<div id='ajax-news'>\n";
		echo "<table width='100%' cellpadding='0' cellspacing='0' border='0'>\n<tr>\n";
		echo "<td class='tbl2'><div style='float:left'><strong>".stripslashes($data['news_subject'])."</strong></div>\n";
		echo "<div style='float:right'>".($prev_news != "" ? "<a href='".FUSION_SELF."?news=".$prev_news."' class='anp-prev-news small'>&lt; ".$locale['anp_001']."</a> " : "")." <span class='small'>".($_GET['news']+1).$locale['anp_002'].$rows."</span> ".($next_news != "" ? "<a href='".FUSION_SELF."?news=".$next_news."' class='anp-next-news small'>".$locale['anp_003']." &gt;</a>" : "")."</div></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl1' style='text-align:justify'>".$news_news."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td align='center' class='tbl2'>\n";
		echo "<span class='small2'>".THEME_BULLET." <a href='profile.php?lookup=".$data['news_name']."'>".$data['user_name']."</a> ".$locale['global_071'].showdate("longdate", $data['news_datestamp'])." &middot;\n";
		if (!empty($data['news_extended']) == "y" || $data['news_allow_comments']) {
			echo !empty($data['news_extended']) ? "<a href='".BASEDIR."news.php?readmore=".$data['news_id']."'>".$locale['global_072']."</a> &middot;\n" : "";
			echo $data['news_allow_comments'] == 1 ? "<a href='".BASEDIR."news.php?readmore=".$data['news_id']."#comments'>".$data['news_comments'].($data['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a> &middot;\n" : "";
			echo $data['news_reads'].$locale['global_074']." &middot;\n";
		}
		echo "<a href='print.php?type=N&amp;item_id=".$data['news_id']."'><img src='".get_image("printer")."' alt='".$locale['global_075']."' style='vertical-align:middle;border:0;' /></a>";
		if (checkrights("N")) { echo " &middot;  <a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$data['news_id']."'><img src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' style='vertical-align:middle;border:0;' /></a></span>\n"; } else { echo "</span>\n"; }
		echo "</td>\n";
		echo "</tr>\n</table>\n";
		echo "</div>\n";
		
		// COPYRIGHTS //
		// If You want remove, check README
		echo "<p class='small' style='text-align:right;margin:0;font-style:italic'>\nCreated by <a href='http://www.bartek124.net' title='bartek124&#39;s Productions'>bartek124</a>\n</p>\n";
		// // // // //
	} else {
		echo "<div style='text-align:center'>\n<br />\n".$locale['global_078']."\n<br />\n<br />\n</div>\n";
	}
	closetable();
}
?>